Bug 225693 - math/openblas: Fix build on arm
Summary: math/openblas: Fix build on arm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Mark Linimon
URL: http://beefy8.nyi.freebsd.org/data/he...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2018-02-05 20:00 UTC by Mikael Urankar
Modified: 2018-03-29 04:10 UTC (History)
5 users (show)

See Also:
phd_kimberlite: maintainer-feedback+
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (1.12 KB, patch)
2018-02-05 20:00 UTC, Mikael Urankar
koobs: maintainer-approval? (phd_kimberlite)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2018-02-05 20:00:56 UTC
Created attachment 190346 [details]
patch

Translate more pre UAL to UAL opcode.
fix armv7 detection.
Comment 1 Mikael Urankar freebsd_committer 2018-03-20 12:02:40 UTC
anyone?
it blocks 401 on armv6
Thanks in advance.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-20 13:15:25 UTC
Hi Mikael,

Thanks for submitting this. While the changeset is small, the biggest issue here will probably be committers not having access to (arm) hardware to test/QA with, using poudriere specifically.

It would be great if you (or someone else: linimon?) could confirm QA/packaging using poudriere, ideally for all major versions (10/11/12) and no regressions on i386/amd64. Logs are not required, just confirmation of what version/arch combinations have been tested.
Comment 3 Mikael Urankar freebsd_committer 2018-03-20 13:25:14 UTC
It builds fine on armv7 12-current.
My patch only touches arm files, it should be a noop on !arm architecture.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-20 13:31:03 UTC
(In reply to mikael.urankar from comment #3)

I noticed that, thanks for the quick feedback
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-03-20 22:50:23 UTC
(In reply to mikael.urankar from comment #3)

This is true, but with so many ports being dependent on openblas, I hesitate to commit any patches without regression-testing on e.g. amd64.

I am willing to do this but will not have a time-slice until next week.

Oddly I have the following:

mnx% pwd
/var/www/lonesome.com/htdocs/FreeBSD/FreeBSD:12:armv7/quarterly
mnx% ls -al All/*openblas*
-rw-r--r--  1 linimon  wheel  7595956 Jan 31 21:27 All/openblas-0.2.20_1,1.txz

so at some point I built it on armv7.  (I am having to shuffle machines around so I do not know if I was running with your patches.)

This would have been via
# $FreeBSD: branches/2018Q1/math/openblas/Makefile 449591 2017-09-10 20:55:38Z gerald $
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-28 03:09:35 UTC
(In reply to mikael.urankar from comment #6)

Any chance of confirming QA with ports 'latest' for no regressions on i386/amd64?

While unlikely, that branch's userbase is much larger and there is a sufficient delta between branches to be cautious
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2018-03-28 03:59:41 UTC
(In reply to Kubilay Kocak from comment #7)

I can try it again today.  Once again, I find myself having to create a new hard drive.  Please be patient.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2018-03-28 12:52:35 UTC
@phd_kimberlite Could you please approve the attachment (the patch), if you approve. Attachment -> Details -> maintainer-approval [+]
Comment 11 commit-hook freebsd_committer 2018-03-29 04:05:13 UTC
A commit references this bug:

Author: linimon
Date: Thu Mar 29 04:04:22 UTC 2018
New revision: 465863
URL: https://svnweb.freebsd.org/changeset/ports/465863

Log:
  Patch to fix build on armvX.

  Tested for no-harm on amd64.

  PR:		225693
  Submitted by:	mikael.urankar
  Approved by:	maintainer timeout (> 2 weeks)

Changes:
  head/math/openblas/files/patch-common__arm.h
  head/math/openblas/files/patch-cpuid__arm.c